#
# spec file for package xsp (Version 1.1.13.7)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools mono-core mono-data mono-web ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           xsp
BuildRequires:  mono-web pkgconfig
URL:            http://go-mono.com/
%define prefix /usr
%define gnome_prefix /opt/gnome
%define sysconfdir /etc
License:        GPL
Group:          Productivity/Networking/Web/Servers
Autoreqprov:    on
Requires:       gnome-filesystem
Version:        1.1.13.7
Release:        5.2
Summary:        Small Web Server Hosting ASP.NET
Source:         %{name}-%{version}.tar.gz
#Patch:        xsp-libexecdir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArchitectures: noarch

%description
The XSP server is a small Web server that hosts the Mono System.Web
classes for running what is commonly known as ASP.NET.



%debug_package
%prep
%setup

%build
autoreconf -fi
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix} \
	    --libexecdir=%{prefix}/lib \
	    --libdir=%{prefix}/lib \
	    --mandir=%{prefix}/share/man \
	    --infodir=%{prefix}/share/info \
	    --sysconfdir=%{sysconfdir}
make

%install
make install DESTDIR=$RPM_BUILD_ROOT GACUTIL_FLAGS="/package xsp /root ${RPM_BUILD_ROOT}/usr/lib"
mkdir -p ${RPM_BUILD_ROOT}/usr/share
mv ${RPM_BUILD_ROOT}/usr/lib/pkgconfig ${RPM_BUILD_ROOT}/usr/share

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{prefix}/bin/*
%{prefix}/lib/xsp
%{prefix}/share/pkgconfig/*
%{prefix}/share/man/*/*
%doc NEWS README

%changelog -n xsp
* Wed Apr 26 2006 - wberrier@suse.de
- Security update (remove all the duplicated slashes
  and don't do an extra Replace on non-windows.) and minor fix for
  [#78034].
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 06 2006 - wberrier@suse.de
- Update to 1.1.13, clean up deps
* Fri Nov 11 2005 - wberrier@suse.de
- Update to 1.1.10, set libdir to lib/
* Fri Oct 07 2005 - wberrier@suse.de
- Update to 1.1.9.2 and cleanup (I Don't think noarch mono needs
  libexec, so I disabled the patch)
* Tue Jul 19 2005 - sbrabec@suse.cz
- Build as noarch (#81109).
* Fri Jul 15 2005 - sbrabec@suse.cz
- Updated to version 1.0.9 (#96776).
* Mon Feb 21 2005 - clahey@suse.de
- Updated to 1.0.6.
* Mon Feb 07 2005 - ro@suse.de
- use /usr/lib/mono
* Tue Dec 14 2004 - clahey@suse.de
- New package.
